$webgui_root = "#{File.expand_path(File.dirname( __FILE__ ))}/../.."
$webgui_root_webgui = "#{$webgui_root}/webgui2"
$webgui_tmp_pcap = "#{$webgui_root_webgui}/tmp/attack.pcap"

require "#{$webgui_root}/lib/util.rb"
require "#{$webgui_root_webgui}/wg_httphandler.rb"
require "#{$webgui_root_webgui}/wg_datastore.rb"
require "#{$webgui_root_webgui}/wg_exploit.rb"
require 'rspec'
require 'rack/test'

module TestHelpers
  def json_response
    JSON.parse(last_response.body)
  end
end

RSpec.configure do |conf|
  conf.include Rack::Test::Methods
  conf.include TestHelpers
end